package com.bonus.core.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel("手持机健康人员资料")
public class CustInfoHealthMacVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("身份证号")
   private String idCard;
   @ApiModelProperty("邮箱")
   private String email;
   @ApiModelProperty("性别 1-男 2-女")
   private Integer sex;
   @ApiModelProperty("年龄")
   private Integer age;
   @ApiModelProperty("生日")
   private LocalDate birthday;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("所属位置")
   private Long placeId;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("人员类别名称")
   private String psnTypeName;
   @ApiModelProperty("家庭地址")
   private String homeAddr;
   @ApiModelProperty("紧急联系人")
   private String emerContactPerson;
   @ApiModelProperty("紧急联系电话")
   private String emerContactNum;
   @ApiModelProperty("紧急联系人身份证号")
   private String emerContactCard;
   @ApiModelProperty("就诊号")
   private String doctorNum;
   @ApiModelProperty("住院号")
   private String hospitalNum;
   @ApiModelProperty("医嘱")
   private String doctorInstruct;
   @ApiModelProperty("住院日期")
   private LocalDateTime hospitalDate;
   @ApiModelProperty("饮食类型")
   private Integer dietType;
   @ApiModelProperty("饮食类型")
   private String dietTypeText;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public String getEmail() {
      return this.email;
   }

   public Integer getSex() {
      return this.sex;
   }

   public Integer getAge() {
      return this.age;
   }

   public LocalDate getBirthday() {
      return this.birthday;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public String getHomeAddr() {
      return this.homeAddr;
   }

   public String getEmerContactPerson() {
      return this.emerContactPerson;
   }

   public String getEmerContactNum() {
      return this.emerContactNum;
   }

   public String getEmerContactCard() {
      return this.emerContactCard;
   }

   public String getDoctorNum() {
      return this.doctorNum;
   }

   public String getHospitalNum() {
      return this.hospitalNum;
   }

   public String getDoctorInstruct() {
      return this.doctorInstruct;
   }

   public LocalDateTime getHospitalDate() {
      return this.hospitalDate;
   }

   public Integer getDietType() {
      return this.dietType;
   }

   public String getDietTypeText() {
      return this.dietTypeText;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setIdCard(final String idCard) {
      this.idCard = idCard;
   }

   public void setEmail(final String email) {
      this.email = email;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setAge(final Integer age) {
      this.age = age;
   }

   public void setBirthday(final LocalDate birthday) {
      this.birthday = birthday;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setHomeAddr(final String homeAddr) {
      this.homeAddr = homeAddr;
   }

   public void setEmerContactPerson(final String emerContactPerson) {
      this.emerContactPerson = emerContactPerson;
   }

   public void setEmerContactNum(final String emerContactNum) {
      this.emerContactNum = emerContactNum;
   }

   public void setEmerContactCard(final String emerContactCard) {
      this.emerContactCard = emerContactCard;
   }

   public void setDoctorNum(final String doctorNum) {
      this.doctorNum = doctorNum;
   }

   public void setHospitalNum(final String hospitalNum) {
      this.hospitalNum = hospitalNum;
   }

   public void setDoctorInstruct(final String doctorInstruct) {
      this.doctorInstruct = doctorInstruct;
   }

   public void setHospitalDate(final LocalDateTime hospitalDate) {
      this.hospitalDate = hospitalDate;
   }

   public void setDietType(final Integer dietType) {
      this.dietType = dietType;
   }

   public void setDietTypeText(final String dietTypeText) {
      this.dietTypeText = dietTypeText;
   }



}
